Skip to main content
GET
List API keys
Dashboard session only. API keys cannot call this operation.

Authorizations

Authorization
string
header
required

ID token of a signed-in dashboard user. Operations that API keys cannot call use it.

Query Parameters

page
integer
default:1

Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.

Required range: 1 <= x <= 100000
perPage
integer
default:25

Page size 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.

Required range: 1 <= x <= 100
sort
string
default:-createdAt

One sort field; prefix - for descending (sort=field or sort=-field); id is appended as tie-breaker. Another value is a 400 data-failed-validation with the constraint invalid-sort. Default -createdAt.

Example:

"-createdAt"

Free-text search over the documented search fields, 1-255 characters.

Maximum string length: 255
filter[status]
string

Filter on status (equals).

filter[status][in]
string

Filter on status (one of, comma-separated). Comma-separated values.

filter[expiresAt][gte]
string<date-time>

Filter on expiresAt (greater than or equal).

filter[expiresAt][lt]
string<date-time>

Filter on expiresAt (less than).

filter[expiresAt][isNull]
boolean

Filter on expiresAt (is null, true or false).

filter[createdBy.id]
string

Filter on createdBy.id (equals).

Response

A page of results.

Page envelope of ApiKey.

data
object
required

Page body.